Bug 809357 - "qpid-perftest.exe" and "qpid-latency-test.exe" fail with option "--tcp-nodelay" on Windows
"qpid-perftest.exe" and "qpid-latency-test.exe" fail with option "--tcp-nodel...
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
Development
Unspecified Windows
high Severity medium
: 2.2
: ---
Assigned To: Cliff Jansen
Petra Svobodová
:
Depends On:
Blocks: 781560
  Show dependency treegraph
 
Reported: 2012-04-03 03:55 EDT by Petra Svobodová
Modified: 2013-10-03 20:14 EDT (History)
5 users (show)

See Also:
Fixed In Version: qpid-cpp-win-3.1.0.1 (qpid-cpp-0.14-19)
Doc Type: Bug Fix
Doc Text:
The Windows specific code for Socket::setTcpNoDelay tries to set the property before the connection is open, resulting in an exception. The fix remembers the request and delays its operation until after the socket is open (which matches the Posix implementation).
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-19 13:20:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petra Svobodová 2012-04-03 03:55:37 EDT
Description of problem:

Applications "qpid-perftest.exe" and "qpid-latency-test.exe" with option "--tcp-nodelay" exit with error messages; see the command line transcript below, please:

C:\qpid_VS2008\bin\Release>qpid-perftest.exe -b <broker_IP_address> --count 100 --tcp-nodelay
An operation was attempted on something that is not a socket.  (..\..\qpid\cpp\s
rc\qpid\sys\windows\Socket.cpp:279)

C:\qpid_VS2008\bin\Release>qpid-latency-test.exe -b 10.34.37.202 --tcp-nodelay
An operation was attempted on something that is not a socket.  (..\..\qpid\cpp\s
rc\qpid\sys\windows\Socket.cpp:279)


Version-Release number of selected component (if applicable):
qpid-cpp-win-3.0.0.2-1


How reproducible:
100%

Steps to Reproduce:
1. Unpack the package.
2. Run "qpid-perftest.exe" or "qpid-latency-test.exe".

  
Actual results:
"qpid-perftest.exe" and "qpid-latency-test.exe" exit with exception.


Expected results:
"qpid-perftest.exe" and "qpid-latency-test.exe" should run without exceptions.
Comment 1 Cliff Jansen 2012-05-17 23:21:31 EDT
Fix applied upstream r1339927.

see https://issues.apache.org/jira/browse/QPID-4008
Comment 7 Petra Svobodová 2012-07-27 09:14:09 EDT
Tools "qpid-perftest.exe" and "qpid-latency-test.exe" work with "--tcp-nodelay" option now; this exception did not occur.

Verified on packages qpid-cpp-win-3.1.0.1-1 on Windows platforms:
- XP-x86 and x64
- 7-x86 and x64
- Server2003-x86 and x64
- Server2008-x86 and x64
- Server2008 R2

--> VERIFIED
Comment 8 Cliff Jansen 2012-08-14 13:39:08 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
The Windows specific code for Socket::setTcpNoDelay tries to set the property before the connection is open, resulting in an exception.  

The fix remembers the request and delays its operation until after the socket is open (which matches the Posix implementation).
Comment 10 errata-xmlrpc 2012-09-19 13:20:51 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1277.html
Comment 11 Red Hat Bugzilla 2013-10-03 20:14:18 EDT
Removing external tracker bug with the id '4008' as it is not valid for this tracker

Note You need to log in before you can comment on or make changes to this bug.